
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/process.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ia64/kernel/process.c~sched-remove-set_tsk_need_resched-from-init_idle-v2-ia64-fix arch/ia64/kernel/process.c
--- 25/arch/ia64/kernel/process.c~sched-remove-set_tsk_need_resched-from-init_idle-v2-ia64-fix	Wed May 25 20:07:37 2005
+++ 25-akpm/arch/ia64/kernel/process.c	Wed May 25 20:07:44 2005
@@ -262,6 +262,8 @@ cpu_idle (void)
 {
 	void (*mark_idle)(int) = ia64_mark_idle;
 
+	set_tsk_need_resched(current);
+
 	/* endless idle loop with no priority at all */
 	while (1) {
 #ifdef CONFIG_SMP
_
